al_grab_mouse(3)

NAME

al_grab_mouse - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_grab_mouse(ALLEGRO_DISPLAY *display)

DESCRIPTION

Confine the mouse cursor to the given display. The mouse cursor can only be confined to one display at a time.

Returns true if successful, otherwise returns false. Do not assume that the cursor will remain confined until you call al_ungrab_mouse(3). It may lose the confined status at any time for other reasons.

    Note: not yet implemented on Mac OS X.

SEE ALSO

al_ungrab_mouse(3)